<div class="container reader" *ngIf="thread">

    <div class="breadcrumb">
        <b class="title"><app-icon className="icon-world"></app-icon></b>
        <a class="world-title" [routerLink]="'/w/'+thread.worldUrl">{{thread.worldTitle}}</a>
        <app-icon className="icon-angle-right"></app-icon>
        <a class="event-title" [routerLink]="'/e/'+thread.eventUrl">{{thread.eventTitle}}</a>
        <app-icon className="icon-angle-right"></app-icon>

        <select (change)="scroll($event.target.value)">
            <option value="R0">Opener</option>
            <option *ngFor="let p of thread.posts" [value]="'R'+p.index">
                {{ 'R'+p.index }}
            </option>
        </select>

    </div>

    <div class="post opener" id="R0">  
        
        <div class="author-container">
            <div class="author" 
            [mr]="0"
            [user]="{username:thread.username, avatar: thread.userAvatar, is_online: true}"
            app-user-tag></div>
        </div>

        {{thread.contents}}

        <div class="characters">
            <hr>
            <ul class="flex-list">
                <li><b class="list-title">INVITADOS</b></li>
                <li 
                app-character-tag
                id="asdadsda"
                name="Reyna"
                avatar="https://cdna.artstation.com/p/assets/images/images/020/679/830/large/rina-samoylova-.jpg?1568744294" 
                [small]="true"></li>

                <li 
                app-character-tag
                id="asdadsda"
                name="Serylda"
                avatar="https://wallpapermemory.com/uploads/589/riven-league-of-legends-wallpaper-hd-1366x768-173050.jpg" 
                [small]="true"></li>
            </ul>
            <hr>
        </div>

        <div class="post-footer">

            <div class="info">
                <span class="status-tag" title="Estado del hilo"><b>STATUS</b> OPEN</span>
                <b class="permission-tag" title="Permisos de publicación">Solo invitados</b>
            </div>

            <div class="actions">
                <app-icon className="icon-bookmark"></app-icon>
                <app-icon className="icon-bell"></app-icon>
                <app-icon className="icon-share"></app-icon>
            </div>
            
        </div>
        
    </div>
    <div class="opener-meta">
        <div class="date">
            Publicado por 
            <a [routerLink]="'/u/'+thread.username">{{thread.username}}</a> 
            el {{thread.createdAt | date: 'mediumDate'}} 
            <span *ngIf="thread.updatedAt">(Última edición {{thread.updatedAt | date: 'mediumDate'}})</span>
        </div>
    </div>


    <div class="post" *ngFor="let post of thread.posts" [id]="'R'+post.index">    

        <div class="author-container">
            <div class="author" 
            [mr]="0"
            [user]="{username:post.username, avatar: post.userAvatar, is_online: true}"
            app-user-tag></div>
        </div>

        {{post.contents}}

        <hr>

        <div class="post-footer">
            <div class="date">
                Publicado por 
                <a [routerLink]="'/u/'+post.username">{{post.username}}</a> 
                el {{post.createdAt | date: 'mediumDate'}} 
                <span *ngIf="post.updatedAt">(Última edición {{post.updatedAt | date: 'mediumDate'}})</span>
            </div>
            
            <div class="actions">
                <app-icon className="icon-bookmark"></app-icon>
            </div>
        </div>
    </div>

    <div class="thread-actions">

        <div class="user-writing">
            <div class="bar" title="1H 45M">
                <div class="progress"></div>
            </div>
            <div class="current"><a routerLink="/u/flamesofblue"><b>flamesofblue</b></a> ha tomado el turno para responder</div>
            <div class="cancel">
                <button class="text-btn">x liberar turno</button>
            </div>
        </div>

        <button class="btn success take-turn">Reservar turno de respuesta</button>
        <p class="info-text">
            <i>?</i> Toma el turno para escribir y deshabilita las reservaciones temporalmente en el hilo para los demás invitados mientras redactas tu respuesta. Si concluye el tiempo de espera antes de que hayas publicado, las respuestas se habilitarán nuevamente y otro podrá tomar el turno.
        </p>

    </div>
    
</div>
